#
# spec file for package perl-X500-DN (Version 0.28)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-X500-DN
BuildRequires:  suse-macros
License:        GPL, Other License(s), see package
Group:          Development/Libraries/Perl
Requires:       perl-Parse-RecDescent
Requires:       perl = %{perl_version}
Autoreqprov:    on
Summary:        provides an interface for RFC 2253 style DN strings
Version:        0.28
Release:        133.2
Source:         X500-DN-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
X500::DN provides a pure perl parser and formatter for RFC 2253 style
DN strings.



Authors:
--------
    Robert Joop <yaph-020416@timesink.de>

%prep
%setup -n X500-DN-%{version}
# ---------------------------------------------------------------------------

%build
perl Makefile.PL
make
# ---------------------------------------------------------------------------

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT \
	 INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
	 install_vendor
%perl_process_packlist

%files
%defattr(-,root,root)
%{perl_vendorarch}/auto/X500
%dir %{perl_vendorlib}/X500
%{perl_vendorlib}/X500/RDN.pod
%{perl_vendorlib}/X500/RDN.pm
%{perl_vendorlib}/X500/DN.pod
%{perl_vendorlib}/X500/DN.pm
%doc Changes MANIFEST README
%doc %{_mandir}/man3/*
/var/adm/perl-modules/%{name}

%changelog -n perl-X500-DN
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 - dmueller@suse.de
- add norootforbuild
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Mon Jul 28 2003 - ug@suse.de
- version update from 0.27 to 0.28
- spec file fix for install_vendor
* Tue Jun 17 2003 - ug@suse.de
- added missing directory to files-section
* Mon May 19 2003 - ro@suse.de
- fix filelist
- remove perllocal.pod
* Fri Oct 18 2002 - ro@suse.de
- remove race in specfile
* Fri Oct 18 2002 - ug@suse.de
- initial release. This package is needed by perl-OpenCA-OpenSSL
